Solved: Can't start Rasa X

Hi everyone! When I try to init Rasa x in my project it throws the following error:

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.

Here is the full traceback:

2021-05-04 17:32:30.558375: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library 'libcudart.so.10.1'; dlerror: libcudart.so.10.1: cannot open shared object file: No such file or directory
2021-05-04 17:32:30.558443: I tensorflow/stream_executor/cuda/cudart_stub.cc:29] Ignore above cudart dlerror if you do not have a GPU set up on your machine.
2021-05-04 17:32:37.033904: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library 'libcuda.so.1'; dlerror: libcuda.so.1: cannot open shared object file: No such file or directory
2021-05-04 17:32:37.033942: W tensorflow/stream_executor/cuda/cuda_driver.cc:312] failed call to cuInit: UNKNOWN ERROR (303)
2021-05-04 17:32:37.033968: I tensorflow/stream_executor/cuda/cuda_diagnostics.cc:156] kernel driver does not appear to be running on this host (joan-13z990gaa52b): /proc/driver/nvidia/version does not exist
Starting Rasa X in local mode... 🚀
Traceback (most recent call last):
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasa/cli/x.py", line 500, in run_locally
    domain_path=domain_path,
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasax/community/local.py", line 242, in main
    project_path, data_path, session, args.port, config_path, domain_path
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasax/community/local.py", line 169, in _initialize_with_local_data
    domain_path=domain_path,
  File "uvloop/loop.pyx", line 1456, in uvloop.loop.Loop.run_until_complete
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasax/community/initialise.py", line 381, in inject_files_from_disk
    nlu_files, constants.COMMUNITY_PROJECT_NAME, username, data_service, nlg_service
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasax/community/initialise.py", line 101, in inject_nlu_data
    nlu_files, project_id, username
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasax/community/services/data_service.py", line 1763, in save_bulk_data_from_files
    add_data_items_to_domain=False,
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasax/community/services/data_service.py", line 1903, in save_bulk_data
    self.save_additional_training_features(project_id, training_data, filename)
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasax/community/services/data_service.py", line 716, in save_additional_training_features
    project_id, training_data.entity_synonyms, filename
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasax/community/services/data_service.py", line 655, in _bulk_save_entity_synonyms
    project_id, synonym_name, mapped_values, filename
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasax/community/services/data_service.py", line 1037, in create_entity_synonym
    project_id, entity_synonym.id, mapped_values
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasax/community/services/data_service.py", line 1289, in add_entity_synonym_mapped_values
    f"Value to map '{entity_synonym.name}' is equal to the entity "
  File "/home/joan/Desktop/VihrtualApp_Chatbot/venv/lib/python3.6/site-packages/rasax/community/utils/cli.py", line 84, in raise_warning
    warnings.warn(message, category=category, **kwargs)
  File "/usr/lib/python3.6/warnings.py", line 101, in _showwarnmsg
    _showwarnmsg_impl(msg)
  File "/usr/lib/python3.6/warnings.py", line 28, in _showwarnmsg_impl
    text = _formatwarnmsg(msg)
  File "/usr/lib/python3.6/warnings.py", line 116, in _formatwarnmsg
    msg.filename, msg.lineno, line=msg.line)
TypeError: formatwarning() got an unexpected keyword argument 'line'

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

I think my data is valid, rasa data validate goes perfect and the Rasa shell & train are working perfectly so I don’t know what’s going on. I’ve tried upgrading Rasa and Rasa X following the compatibility matrix without success, getting the same error. Does somebody know how can solve this problem?

This is my current setup:

Rasa Version     : 2.4.3
Rasa SDK Version : 2.4.1
Rasa X Version   : 0.38.1
Python Version   : 3.6.13
Operating System : Linux-5.10.30-1-MANJARO-x86_64-with-arch-Manjaro-Linux
Python Path      : /home/joan/Desktop/VihrtualApp_Chatbot/venv/bin/python3.6
1 Like

Solved: The error is specific to Python 3.6. Using 3.7 or above solves the issue. Thanks to hsm207 for the help. See the Github issue for more details.

I’m using Python 3.7, still facing this issue.

Which minor version? I’ve upgraded to 3.7.10 and is working for me on Manjaro:

Rasa Version      :         2.5.1
Minimum Compatible Version: 2.2.0a1
Rasa SDK Version  :         2.5.0
Rasa X Version    :         0.39.2
Python Version    :         3.7.10
Operating System  :         Linux-5.10.30-1-MANJARO-x86_64-with-arch-Manjaro-Linux
Python Path       :         /home/joan/Desktop/VihrtualApp_Chatbot/venv/bin/python3.7

(Chatbot) C:\Users\pchaudhari>rasa --version Rasa Version : 2.6.1 Minimum Compatible Version: 2.6.0 Rasa SDK Version : 2.6.0 Rasa X Version : 0.39.3 Python Version : 3.7.9 Operating System : Windows-10-10.0.19041-SP0 Python Path : c:\users\pchaudhari\appdata\local\continuum\anaconda3\envs\chatbot\python.exe

hey guys - still facing this same error ( Make sure to start Rasa X with valid data and valid domain and config files )

Using Python 3.8.10

Any ideas what’s going wrong ?

The world seems so scary without Rasa X:

Starting Rasa X in local mode… � Traceback (most recent call last): File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 324, in get_revisions for rev_id in resolved_id File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 324, in for rev_id in resolved_id File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 397, in _revision_for_ident resolved_id, alembic.script.revision.ResolutionError: No such revision or branch ‘652500998f3e’

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “c:\users\home\anaconda3\envs\rasa37\lib\site-packages\rasa\cli\x.py”, line 501, in run_locally domain_path=domain_path, File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\rasax\community\local.py”, line 234, in main sql_migrations.run_migrations(session) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\rasax\community\sql_migrations.py”, line 25, in run_migrations _run_schema_migrations(session) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\rasax\community\sql_migrations.py”, line 41, in _run_schema_migrations _run_alembic_migration(alembic_config) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\rasax\community\sql_migrations.py”, line 65, in _run_alembic_migration command.upgrade(alembic_config, target_revision) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\command.py”, line 298, in upgrade script.run_env() File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\base.py”, line 489, in run_env util.load_python_file(self.dir, “env.py”) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\util\pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\util\compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 728, in exec_module File “”, line 219, in _call_with_frames_removed File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 96, in run_migrations_online() File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 86, in run_migrations_online context.run_migrations() File “”, line 8, in run_migrations File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\runtime\environment.py”, line 846, in run_migrations self.get_context().run_migrations(**kw) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\runtime\migration.py”, line 511, in run_migrations for step in self._migrations_fn(heads, self): File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\command.py”, line 287, in upgrade return script._upgrade_revs(revision, rev) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\base.py”, line 369, in _upgrade_revs for script in reversed(list(revs)) File “c:\users\home\anaconda3\envs\rasa37\lib\contextlib.py”, line 130, in exit self.gen.throw(type, value, traceback) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\base.py”, line 194, in _catch_revision_errors compat.raise_from_cause(util.CommandError(resolution)) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\util\compat.py”, line 308, in raise_from_cause reraise(type(exception), exception, tb=exc_tb, cause=exc_value) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\util\compat.py”, line 301, in reraise raise value.with_traceback(tb) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 324, in get_revisions for rev_id in resolved_id File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 324, in for rev_id in resolved_id File “C:\Users\home\AppData\Roaming\Python\Python37\site-packages\alembic\script\revision.py”, line 397, in _revision_for_ident resolved_id, alembic.util.exc.CommandError: Can’t locate revision identified by ‘652500998f3e’

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

I have tried everyting:

  1. Different versions of Python as well as rasa and rasa-x (keeping in mind the compatibility)
  2. Conda installations, followed every step by YouTube Videos for both python 3.7 and 3.8

Is there a possibility that the issue is caused due to the conda environment? I recently deleted old Anaconda 3.7 and installed 3.8.8, which started causing this issue. So I don’t have a python venv anymore, I was using venv before conda and never faced this issue.

I had to delete Python, because I was doing Deep Learning tasks and somehow there should be only one python environment.

@Mansoor Now your issue is condo environment or installing Rasa X?

Huh, this issue was resolved by changing the stories.yml file.

There were some non English letter, specifically German Language such as: für

By changing it to fur resolved the issue…

But I also reinstalled anaconda2020 with python3.7.6, things were great back with this.

So I’m gonna keep it, and maybe use 3.8 in a different conda environment. And:

Rasa Version      :         2.6.2
Rasa SDK Version  :         2.6.0
Rasa X Version    :         0.40.0
Python Version    :         3.7.6